package com.example.arquillian;

import java.io.IOException;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.container.test.api.Testable;
import org.jboss.arquillian.testng.Arquillian;
import org.jboss.jsfunit.api.InitialPage;
import org.jboss.jsfunit.jsfsession.JSFClientSession;
import org.jboss.jsfunit.jsfsession.JSFServerSession;
import org.jboss.shrinkwrap.api.ArchivePaths;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.EnterpriseArchive;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.testng.annotations.Test;

public class MyTest extends Arquillian {
	 
    @Deployment
    public static EnterpriseArchive createDeployment() {

    	EnterpriseArchive ear = ShrinkWrap.create(EnterpriseArchive.class, "myear.ear");
    	ear.addAsManifestResource("jboss-deployment-structure.xml");

    	final WebArchive war = ShrinkWrap.create(WebArchive.class, "test.war")
    			.addAsWebInfResource("WEB-INF/faces-config.xml")
    			.addAsWebInfResource("WEB-INF/web.xml")
    			.addClass(MyTest.class)
    			.addAsWebResource("index.xhtml");

    	
        ear.addAsModule(Testable.archiveToTest(war));
        
        return ear;
    }	


	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("/test/index.faces")
	public void testOne(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit one");

	}

	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("/test/index.xhtml")
	public void testTwo(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit two");

	}

	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("/index.faces")
	public void testThree(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit three");

	}

	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("/index.xhtml")
	public void testFour(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit four");

	}

	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("/")
	public void testFive(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit five");

	}
	

	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	@InitialPage("")
	public void testSix(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit six");

	}
	
	@Test(dataProvider = Arquillian.ARQUILLIAN_DATA_PROVIDER)
	public void testSeven(JSFServerSession server, JSFClientSession client)
			throws IOException {
		System.out.println("inside JSFUNIT unit seven");

	}	



}
